Debian Bug report logs - #479607
lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs

version graph

Package: lilo; Maintainer for lilo is Joachim Wiedorn <ad_debian@joonet.de>; Source for lilo is src:lilo.

Reported by: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>

Date: Fri, 2 May 2008 19:06:01 UTC

Severity: grave

Merged with 492918, 502345

Found in versions lilo/1:22.8-4, lilo/1:22.8-5, lilo/1:22.8-6

Fixed in version lilo/1:22.8-6.1

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Fri, 02 May 2008 21:03:28 +0200
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Package: linux-image-2.6.25-1-amd64
Version: 2.6.25-1
Severity: normal

*** Please type your report below this line ***
Hi,

The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
Previous kernels worked.  The output is:
[...]
NET: Registered protocol family 1
NET: Registered protocol family 17
registered taskstats version 1
RAMDISK: coulndn't find valid RAM disk image starting at 0
List of all partitions:
... ram0 (driver?)
...
... ram15 (driver?)
No filesystem could mount root, tried:
Kernel panic - not syncing: VFS: Unable to mount root fs on
unknown-block (8,3)

I tried the ideas of http://wiki.debian.org/InitramfsDebug:
with rootdelay=9, it does wait for 9 seconds, afterwards it panics
with the same message.

With 2.6.24, ls /proc/cmdline prints:
BOOT_IMAGE=LinuxOLD ro root=803

I executed, with no luck:
dpkg-reconfigure linux-image-2.6.25-1-amd64
dpkg-reconfigure initramfs-tools

ls -l /boot gives:
total 33111
-rw-r--r-- 1 root root     512 2007-10-07 18:32 boot.0800
-rw-r--r-- 1 root root     512 2007-10-07 18:48 boot.0803
-rw-r--r-- 1 root root  308326 2008-03-15 22:44 coffee.bmp
-rw-r--r-- 1 root root   79389 2008-04-19 01:13 config-2.6.24-1-amd64
-rw-r--r-- 1 root root   81924 2008-04-25 17:07 config-2.6.25-1-amd64
lrwxrwxrwx 1 root root      15 2007-10-07 18:32 debian.bmp ->
/boot/sarge.bmp
-rw-r--r-- 1 root root  153720 2008-03-15 22:44 debianlilo.bmp
lrwxrwxrwx 1 root root      25 2008-04-29 10:57 initrd.img ->
initrd.img-2.6.25-1-amd64
-rw-r--r-- 1 root root 6831589 2008-04-19 23:53
initrd.img-2.6.24-1-amd64
-rw-r--r-- 1 root root 6597033 2008-03-27 22:57
initrd.img-2.6.24-1-amd64.bak
-rw-r--r-- 1 root root 6989209 2008-05-02 13:15
initrd.img-2.6.25-1-amd64
-rw-r--r-- 1 root root 6990195 2008-04-29 10:57
initrd.img-2.6.25-1-amd64.bak
lrwxrwxrwx 1 root root      25 2008-01-29 22:15 initrd.img.old ->
initrd.img-2.6.24-1-amd64
-rw------- 1 root root   18944 2008-05-02 13:16 map
-rw-r--r-- 1 root root   23662 2008-03-15 22:44 sarge.bmp
-rw-r--r-- 1 root root   24116 2008-03-15 22:44 sid.bmp
-rw-r--r-- 1 root root 1158727 2008-04-19 01:13
System.map-2.6.24-1-amd64
-rw-r--r-- 1 root root 1185722 2008-04-25 17:07
System.map-2.6.25-1-amd64
lrwxrwxrwx 1 root root      22 2008-04-29 10:57 vmlinuz ->
vmlinuz-2.6.25-1-amd64
-rw-r--r-- 1 root root 1668120 2008-04-19 01:12 vmlinuz-2.6.24-1-amd64
-rw-r--r-- 1 root root 1727008 2008-04-25 17:07 vmlinuz-2.6.25-1-amd64
lrwxrwxrwx 1 root root      22 2008-01-29 22:15 vmlinuz.old ->
vmlinuz-2.6.24-1-amd64

Here is the diff of initramfs content between 2.6.25 and 2.6.24 (I
replaced 2.6.24 with 2.6.25 to have only the useful differences), as
suggested by http://wiki.debian.org/InitramfsDebug:

--- initramfs-old.content   2008-05-02 20:36:47.000000000 +0200
+++ initramfs.content   2008-05-02 20:35:12.000000000 +0200
@@ -52,13 +52,11 @@
 ./etc/udev/rules.d/z25_persistent-cd.rules
 ./etc/udev/rules.d/z20_persistent-input.rules
 ./etc/udev/rules.d/45-hplip.rules
-./etc/udev/rules.d/z60_libsane-extras.rules.dpkg-new
 ./etc/udev/rules.d/z60_alsa-utils.rules
 ./etc/udev/rules.d/85-pcmcia.rules
 ./etc/udev/rules.d/z55_hotplug.rules
 ./etc/udev/rules.d/z60_libccid.rules
 ./etc/udev/rules.d/z60_hdparm.rules
-./etc/udev/rules.d/z60_libsane.rules.dpkg-new
 ./etc/udev/rules.d/z60_libsane.rules
 ./etc/udev/rules.d/z99_hal.rules
 ./etc/udev/rules.d/z50_run.rules
@@ -90,7 +88,6 @@
 ./etc/modprobe.d/arch-aliases
 ./etc/modprobe.d/thinkpad_acpi.modprobe
 ./etc/modprobe.d/oss-compat
-./etc/modprobe.d/libsane.dpkg-new
 ./etc/modprobe.d/alsa-base-blacklist
 ./etc/modprobe.d/display_class
 ./etc/modprobe.d/pnp-hotplug
@@ -122,6 +119,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/fs/jfs/jfs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/nfs
 ./lib/modules/2.6.25-1-amd64/kernel/fs/nfs/nfs.ko
+./lib/modules/2.6.25-1-amd64/kernel/fs/nls
+./lib/modules/2.6.25-1-amd64/kernel/fs/nls/nls_base.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/xfs
 ./lib/modules/2.6.25-1-amd64/kernel/fs/xfs/xfs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/fs/ext2
@@ -192,15 +191,16 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/pdc202xx_new.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/pdc202xx_old.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/atiixp.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/ide-pci-generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/triflex.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/sc1200.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cs5520.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cs5530.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/jmicron.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/slc90e66.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/rz1000.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/piix.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cmd640.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/cmd64x.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/hpt366.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/hpt34x.ko
@@ -209,14 +209,17 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/aec62xx.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/pci/siimage.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-core.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-pnp.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-disk.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-cd_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-tape.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/legacy
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/legacy/ide-cs.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-generic.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-floppy.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/ide/ide-cd.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/igb
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/igb/igb.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/atl1
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/atl1/atl1.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/8139too.ko
@@ -264,6 +267,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/pcnet32.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/netconsole.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/sis900.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/net/bnx2.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/8390.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/via-rhine.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/net/myri10ge
@@ -281,11 +285,14 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/usb/storage
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/usb/storage/usb-storage.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi
+./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/dock.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/thermal.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/processor.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/acpi/fan.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/base
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/base/firmware_class.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/misc
+./lib/modules/2.6.25-1-amd64/kernel/drivers/misc/enclosure.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/qla1280.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_transport_sas.ko
@@ -321,6 +328,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/gdth.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/initio.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/3w-xxxx.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/mvsas.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/imm.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ipr.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ips.ko
@@ -341,9 +349,9 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx/aic7xxx.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/aic7xxx/aic79xx.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/ses.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/hptiop.ko
-./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/atp870u.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/sd_mod.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/scsi_tgt.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/scsi/sym53c8xx_2
@@ -359,6 +367,7 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/aoe
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/aoe/aoe.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/block/virtio_blk.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/cpqarray.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/loop.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/floppy.ko
@@ -392,6 +401,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/block/DAC960.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/cdrom
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/cdrom/cdrom.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/input
+./lib/modules/2.6.25-1-amd64/kernel/drivers/input/ff-memless.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video/vga16fb.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/video/vgastate.ko
@@ -412,6 +423,8 @@
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia/pcmcia.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/pcmcia/pcmcia_core.ko
+./lib/modules/2.6.25-1-amd64/kernel/drivers/virtio
+./lib/modules/2.6.25-1-amd64/kernel/drivers/virtio/virtio.ko
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/parport
 ./lib/modules/2.6.25-1-amd64/kernel/drivers/parport/parport.ko
 ./lib/libsplashycnf.so.1

I have reiserfs.

I have reiserfs.

Best regards,
Eugen Dedu

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.21     Debian configuration
management sy
ii  initramfs-tools [linux-initra 0.92a      tools for generating an
initramfs
ii  module-init-tools             3.4-1      tools for managing Linux
kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-1-amd64/postinst/bootloader-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-install-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/old-initrd-link-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/postinst/depmod-error-initrd-2.6.25-1-amd64:
false
  linux-image-2.6.25-1-amd64/preinst/lilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/bootloader-initrd-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/preinst/overwriting-modules-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/prerm/removing-running-kernel-2.6.25-1-amd64:
true
  linux-image-2.6.25-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.25-1-amd64/preinst/initrd-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/depmod-error-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/preinst/failed-to-move-modules-2.6.25-1-amd64:

linux-image-2.6.25-1-amd64/postinst/old-system-map-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/lilo-has-ramdisk:

linux-image-2.6.25-1-amd64/prerm/would-invalidate-boot-loader-2.6.25-1-amd64: 

true
  linux-image-2.6.25-1-amd64/postinst/bootloader-test-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-overwrite-2.6.25-1-amd64:

linux-image-2.6.25-1-amd64/postinst/create-kimage-link-2.6.25-1-amd64: true

linux-image-2.6.25-1-amd64/postinst/old-dir-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/elilo-initrd-2.6.25-1-amd64: true






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 01:22:47 +0200
On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> Package: linux-image-2.6.25-1-amd64
> Version: 2.6.25-1
> Severity: normal
> 
> *** Please type your report below this line ***
> Hi,
> 
> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> Previous kernels worked.  The output is:
> [...]
> NET: Registered protocol family 1
> NET: Registered protocol family 17
> registered taskstats version 1
> RAMDISK: coulndn't find valid RAM disk image starting at 0
> List of all partitions:
> ... ram0 (driver?)
> ...
> ... ram15 (driver?)
> No filesystem could mount root, tried:
> Kernel panic - not syncing: VFS: Unable to mount root fs on
> unknown-block (8,3)
> 
> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> with the same message.
> 
> With 2.6.24, ls /proc/cmdline prints:
> BOOT_IMAGE=LinuxOLD ro root=803
> 
> I executed, with no luck:
> dpkg-reconfigure linux-image-2.6.25-1-amd64
> dpkg-reconfigure initramfs-tools

try this:
lilo
 
 
> I have reiserfs.

not a very safe choice, but well..
 
regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 10:01:20 +0200
maximilian attems wrote:
> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>> Package: linux-image-2.6.25-1-amd64
>> Version: 2.6.25-1
>> Severity: normal
>>
>> *** Please type your report below this line ***
>> Hi,
>>
>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>> Previous kernels worked.  The output is:
>> [...]
>> NET: Registered protocol family 1
>> NET: Registered protocol family 17
>> registered taskstats version 1
>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>> List of all partitions:
>> ... ram0 (driver?)
>> ...
>> ... ram15 (driver?)
>> No filesystem could mount root, tried:
>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>> unknown-block (8,3)
>>
>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>> with the same message.
>>
>> With 2.6.24, ls /proc/cmdline prints:
>> BOOT_IMAGE=LinuxOLD ro root=803
>>
>> I executed, with no luck:
>> dpkg-reconfigure linux-image-2.6.25-1-amd64
>> dpkg-reconfigure initramfs-tools
> 
> try this:
> lilo

Thanks for the fast reply.

Sorry, I forgot to say that I tried this too, but the panic persists 
after rebooting.

snoopy:~# lilo
Warning: LBA32 addressing assumed
Added Linux *
Added LinuxOLD
One warning was issued.
snoopy:~#

snoopy:~$ cat /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = yes
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes
snoopy:~$

Regards,
-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 11:38:30 +0200
On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
> maximilian attems wrote:
> >On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> >>Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> >>Package: linux-image-2.6.25-1-amd64
> >>Version: 2.6.25-1
> >>Severity: normal
> >>
> >>*** Please type your report below this line ***
> >>Hi,
> >>
> >>The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> >>Previous kernels worked.  The output is:
> >>[...]
> >>NET: Registered protocol family 1
> >>NET: Registered protocol family 17
> >>registered taskstats version 1
> >>RAMDISK: coulndn't find valid RAM disk image starting at 0
> >>List of all partitions:
> >>... ram0 (driver?)
> >>...
> >>... ram15 (driver?)
> >>No filesystem could mount root, tried:
> >>Kernel panic - not syncing: VFS: Unable to mount root fs on
> >>unknown-block (8,3)
> >>
> >>I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> >>with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> >>with the same message.
> >>
> >>With 2.6.24, ls /proc/cmdline prints:
> >>BOOT_IMAGE=LinuxOLD ro root=803

so you don't land in debug console of initramfs?

post cat /etc/i-t/i-t.conf
and check that your root device driver is in both initramfs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 11:54:35 +0200
[Message part 1 (text/plain, inline)]
maximilian attems wrote:
> On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
>> maximilian attems wrote:
>>> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>>>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>>>> Package: linux-image-2.6.25-1-amd64
>>>> Version: 2.6.25-1
>>>> Severity: normal
>>>>
>>>> *** Please type your report below this line ***
>>>> Hi,
>>>>
>>>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>>>> Previous kernels worked.  The output is:
>>>> [...]
>>>> NET: Registered protocol family 1
>>>> NET: Registered protocol family 17
>>>> registered taskstats version 1
>>>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>>>> List of all partitions:
>>>> ... ram0 (driver?)
>>>> ...
>>>> ... ram15 (driver?)
>>>> No filesystem could mount root, tried:
>>>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>>>> unknown-block (8,3)
>>>>
>>>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>>>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>>>> with the same message.
>>>>
>>>> With 2.6.24, ls /proc/cmdline prints:
>>>> BOOT_IMAGE=LinuxOLD ro root=803
> 
> so you don't land in debug console of initramfs?

Sorry, I don't understand.

When booting 2.6.24, I login as usual and have the /proc/cmdline above.

When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
prompt/console.

> post cat /etc/i-t/i-t.conf
> and check that your root device driver is in both initramfs.

After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
be cd /tmp, not cd ~/tmp on the page!!!):

snoopy:/tmp$ grep reiserfs initramfs*
initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko

snoopy:/tmp$ mount
/dev/sda3 on / type reiserfs (rw,notail)
[...]

Can it be because /boot is on the / partition, which have notail?

Thanks for your help so far,
-- 
Eugen
[initramfs.conf (text/plain, inline)]
#
# initramfs.conf
# Configuration file for mkinitramfs(8). See initramfs.conf(5).
#

#
# MODULES: [ most | netboot | dep | list ]
#
# most - Add all framebuffer, acpi, filesystem, and harddrive drivers.
#
# dep - Try and guess which modules to load.
#
# netboot - Add the base modules, network modules, but skip block devices.
#
# list - Only include modules from the 'additional modules' list
#

MODULES=most

#
# BUSYBOX: [ y | n ]
#
# Use busybox if available.
#

BUSYBOX=y

#
# KEYMAP: [ y | n ]
#
# Load a keymap during the initramfs stage.
#

KEYMAP=n

#
# NFS Section of the config.
#

#
# BOOT: [ local | nfs ]
#
# local - Boot off of local media (harddrive, USB stick).
#
# nfs - Boot using an NFS drive as the root of the drive.
#

BOOT=local

#
# DEVICE: ...
#
# Specify the network interface, like eth0
#

DEVICE=eth0

#
# NFSROOT: [ auto | HOST:MOUNT ]
#

NFSROOT=auto


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 3 May 2008 18:16:42 +0200
On Sat, May 03, 2008 at 11:54:35AM +0200, Eugen Dedu wrote:
> maximilian attems wrote:
> >On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
> >>maximilian attems wrote:
> >>>On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
> >>>>Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
> >>>>Package: linux-image-2.6.25-1-amd64
> >>>>Version: 2.6.25-1
> >>>>Severity: normal
> >>>>
> >>>>*** Please type your report below this line ***
> >>>>Hi,
> >>>>
> >>>>The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
> >>>>Previous kernels worked.  The output is:
> >>>>[...]
> >>>>NET: Registered protocol family 1
> >>>>NET: Registered protocol family 17
> >>>>registered taskstats version 1
> >>>>RAMDISK: coulndn't find valid RAM disk image starting at 0
> >>>>List of all partitions:
> >>>>... ram0 (driver?)
> >>>>...
> >>>>... ram15 (driver?)
> >>>>No filesystem could mount root, tried:
> >>>>Kernel panic - not syncing: VFS: Unable to mount root fs on
> >>>>unknown-block (8,3)
> >>>>
> >>>>I tried the ideas of http://wiki.debian.org/InitramfsDebug:
> >>>>with rootdelay=9, it does wait for 9 seconds, afterwards it panics
> >>>>with the same message.
> >>>>
> >>>>With 2.6.24, ls /proc/cmdline prints:
> >>>>BOOT_IMAGE=LinuxOLD ro root=803
> >
> >so you don't land in debug console of initramfs?
> 
> Sorry, I don't understand.

try to use break=mount or such see man initramfs-tools
 
> When booting 2.6.24, I login as usual and have the /proc/cmdline above.
> 
> When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
> prompt/console.

so it's a kernel or bootloader trouble probably.
 
> >post cat /etc/i-t/i-t.conf
> >and check that your root device driver is in both initramfs.
> 
> After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
> be cd /tmp, not cd ~/tmp on the page!!!):
> 
> snoopy:/tmp$ grep reiserfs initramfs*
> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko

i wouldn't doubt that reiserfs is in your initramfs,
what i was sepaking about is the sata or scsi driver.
please check from initramfs console if he is loaded and
if expected device is there.
 
> snoopy:/tmp$ mount
> /dev/sda3 on / type reiserfs (rw,notail)
> [...]
> 
> Can it be because /boot is on the / partition, which have notail?
> 
> Thanks for your help so far,
> -- 
> Eugen

> #
> # initramfs.conf
> # Configuration file for mkinitramfs(8). See initramfs.conf(5).
> #

that looks fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sat, 03 May 2008 23:45:42 +0200
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:54:35AM +0200, Eugen Dedu wrote:
>> maximilian attems wrote:
>>> On Sat, May 03, 2008 at 10:01:20AM +0200, Eugen Dedu wrote:
>>>> maximilian attems wrote:
>>>>> On Fri, May 02, 2008 at 09:03:28PM +0200, Eugen Dedu wrote:
>>>>>> Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
>>>>>> Package: linux-image-2.6.25-1-amd64
>>>>>> Version: 2.6.25-1
>>>>>> Severity: normal
>>>>>>
>>>>>> *** Please type your report below this line ***
>>>>>> Hi,
>>>>>>
>>>>>> The new kernel 2.6.25-1 panics on my amd64 MacBookPro machine.
>>>>>> Previous kernels worked.  The output is:
>>>>>> [...]
>>>>>> NET: Registered protocol family 1
>>>>>> NET: Registered protocol family 17
>>>>>> registered taskstats version 1
>>>>>> RAMDISK: coulndn't find valid RAM disk image starting at 0
>>>>>> List of all partitions:
>>>>>> ... ram0 (driver?)
>>>>>> ...
>>>>>> ... ram15 (driver?)
>>>>>> No filesystem could mount root, tried:
>>>>>> Kernel panic - not syncing: VFS: Unable to mount root fs on
>>>>>> unknown-block (8,3)
>>>>>>
>>>>>> I tried the ideas of http://wiki.debian.org/InitramfsDebug:
>>>>>> with rootdelay=9, it does wait for 9 seconds, afterwards it panics
>>>>>> with the same message.
>>>>>>
>>>>>> With 2.6.24, ls /proc/cmdline prints:
>>>>>> BOOT_IMAGE=LinuxOLD ro root=803
>>> so you don't land in debug console of initramfs?
>> Sorry, I don't understand.
> 
> try to use break=mount or such see man initramfs-tools
>  
>> When booting 2.6.24, I login as usual and have the /proc/cmdline above.
>>
>> When booting 2.6.25, with or without rootdelay=9, the kernel panics, no 
>> prompt/console.
> 
> so it's a kernel or bootloader trouble probably.
>  
>>> post cat /etc/i-t/i-t.conf
>>> and check that your root device driver is in both initramfs.
>> After the procedure at http://wiki.debian.org/InitramfsDebug (it should 
>> be cd /tmp, not cd ~/tmp on the page!!!):
>>
>> snoopy:/tmp$ grep reiserfs initramfs*
>> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs
>> initramfs.content:./lib/modules/2.6.25-1-amd64/kernel/fs/reiserfs/reiserfs.ko
>> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs
>> initramfs-old.content:./lib/modules/2.6.24-1-amd64/kernel/fs/reiserfs/reiserfs.ko
> 
> i wouldn't doubt that reiserfs is in your initramfs,
> what i was sepaking about is the sata or scsi driver.
> please check from initramfs console if he is loaded and
> if expected device is there.

Hi,

I typed Linux break=X at boot prompt, with X=mount, premount, modules 
and top.  In all the cases, it does NOT stop before the panic.  I do not 
have any console.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 4 May 2008 14:04:28 +0200
On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
 
> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
> and top.  In all the cases, it does NOT stop before the panic.  I do not 
> have any console.

just quickly online, maybe you posted it already, needed:
/etc/lilo.conf

ls -l /




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 04 May 2008 16:35:48 +0200
[Message part 1 (text/plain, inline)]
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
>  
>> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
>> and top.  In all the cases, it does NOT stop before the panic.  I do not 
>> have any console.
> 
> just quickly online, maybe you posted it already, needed:
> /etc/lilo.conf

Attached.

> ls -l /

snoopy:~$ ls -l /
total 17
drwxr-xr-x   2 root root 2480 2008-04-29 15:49 bin
drwxr-xr-x   2 root root  856 2008-05-03 09:58 boot
lrwxrwxrwx   1 root root   11 2007-10-07 17:57 cdrom -> media/cdrom
drwxr-xr-x  14 root root 4160 2008-05-04 10:06 dev
drwxr-xr-x   3 root root   80 2007-10-07 18:23 emul
drwxr-xr-x 116 root root 6472 2008-05-04 10:07 etc
drwxr-xr-x   5 root root  120 2007-12-10 12:14 home
drwxr-xr-x  14 root root 4736 2008-04-27 11:26 lib
lrwxrwxrwx   1 root root   20 2007-10-07 18:23 lib32 -> /emul/ia32-linux/lib
lrwxrwxrwx   1 root root    4 2007-10-07 17:59 lib64 -> /lib
drwxr-xr-x   4 root root  184 2008-05-04 10:07 media
drwxr-xr-x   3 root root   72 2008-02-07 21:36 mnt
drwxr-xr-x   2 root root   48 2007-10-07 17:59 opt
dr-xr-xr-x 125 root root    0 2008-05-04 10:06 proc
drwxr-xr-x  17 root root  640 2008-04-14 12:32 root
drwxr-xr-x   2 root root 3488 2008-04-29 15:49 sbin
drwxr-xr-x   2 root root   48 2008-02-06 22:57 selinux
drwxr-xr-x   2 root root   48 2007-10-07 17:59 srv
drwxr-xr-x  11 root root    0 2008-05-04 10:06 sys
drwxrwxrwt  12 root root  432 2008-05-04 15:48 tmp
drwxr-xr-x  11 root root  312 2008-05-01 23:02 usr
drwxr-xr-x  14 root root  336 2008-03-27 14:06 var
snoopy:~$

Thanks for your help,
-- 
Eugen
[lilo.conf (text/plain, inline)]
# /etc/lilo.conf - See: `lilo(8)' and `lilo.conf(5)',
# ---------------       `install-mbr(8)', `/usr/share/doc/lilo/',
#                       and `/usr/share/doc/mbr/'.

# +---------------------------------------------------------------+
# |                        !! Reminder !!                         |
# |                                                               |
# | Don't forget to run `lilo' after you make changes to this     |
# | conffile, `/boot/bootmess.txt' (if you have created it), or   |
# | install a new kernel.  The computer will most likely fail to  |
# | boot if a kernel-image post-install script or you don't       |
# | remember to run `lilo'.                                       |
# |                                                               |
# +---------------------------------------------------------------+

# Specifies the boot device.  This is where Lilo installs its boot
# block.  It can be either a partition, or the raw device, in which
# case it installs in the MBR, and will overwrite the current MBR.
#
boot=/dev/sda3

# Specifies the device that should be mounted as root. (`/')
#
root=/dev/sda3

# This option may be needed for some software RAID installs.
#
# raid-extra-boot=mbr-only

# Enable map compaction:
# Tries to merge read requests for adjacent sectors into a single
# read request. This drastically reduces load time and keeps the
# map smaller.  Using `compact' is especially recommended when
# booting from a floppy disk.  It is disabled here by default
# because it doesn't always work.
#
compact

# Installs the specified file as the new boot sector
# You have the choice between: text, bmp, and menu
# Look in lilo.conf(5) manpage for details
#
#install=menu

# Specifies the location of the map file
#
map=/boot/map

# You can set a password here, and uncomment the `restricted' lines
# in the image definitions below to make it so that a password must
# be typed to boot anything but a default configuration.  If a
# command line is given, other than one specified by an `append'
# statement in `lilo.conf', the password will be required, but a
# standard default boot will not require one.
#
# This will, for instance, prevent anyone with access to the
# console from booting with something like `Linux init=/bin/sh',
# and thus becoming `root' without proper authorization.
#
# Note that if you really need this type of security, you will
# likely also want to use `install-mbr' to reconfigure the MBR
# program, as well as set up your BIOS to disallow booting from
# removable disk or CD-ROM, then put a password on getting into the
# BIOS configuration as well.  Please RTFM `install-mbr(8)'.
#
# password=tatercounter2000

# Specifies the number of deciseconds (0.1 seconds) LILO should
# wait before booting the first image.
#
delay=20

# You can put a customized boot message up if you like.  If you use
# `prompt', and this computer may need to reboot unattended, you
# must specify a `timeout', or it will sit there forever waiting
# for a keypress.  `single-key' goes with the `alias' lines in the
# `image' configurations below.  eg: You can press `1' to boot
# `Linux', `2' to boot `LinuxOLD', if you uncomment the `alias'.
#
# message=/boot/bootmess.txt
#	prompt
#	delay=100
#	timeout=100

# Specifies the VGA text mode at boot time. (normal, extended, ask, <mode>)
#
# vga=ask
# vga=9
#


# Kernel command line options that apply to all installed images go
# here.  See: The `boot-prompt-HOWTO' and `kernel-parameters.txt' in
# the Linux kernel `Documentation' directory.
#
# append=""
 
# If you used a serial console to install Debian, this option should be
# enabled by default.
# serial=

#
# Boot up Linux by default.
#
default=Linux

image=/boot/vmlinuz
	label=Linux
	read-only
#	restricted
#	alias=1

	initrd=/boot/initrd.img

image=/boot/vmlinuz.old
	label=LinuxOLD
	read-only
	optional
#	restricted
#	alias=2

	initrd=/boot/initrd.img.old


# If you have another OS on this machine to boot, you can uncomment the
# following lines, changing the device name on the `other' line to
# where your other OS' partition is.
#
# other=/dev/hda4
#	label=HURD
#	restricted
#	alias=3

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 479101@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: maximilian attems <max@stro.at>
Cc: 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Sun, 04 May 2008 16:42:22 +0200
maximilian attems wrote:
> On Sat, May 03, 2008 at 11:45:42PM +0200, Eugen Dedu wrote:
>  
>> I typed Linux break=X at boot prompt, with X=mount, premount, modules 
>> and top.  In all the cases, it does NOT stop before the panic.  I do not 
>> have any console.
> 
> just quickly online, maybe you posted it already, needed:
> /etc/lilo.conf
> 
> ls -l /

Also:

snoopy:~$ more /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = yes
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes
snoopy:~$

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 479101@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <479101@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: same issue: kernel panic: unable to mount root on multiple machines
Date: Mon, 05 May 2008 12:31:24 +0200
Package: linux-image-2.6.25-1-amd64
Followup-For: Bug #479101


Just a "me too": I today upgraded multiple machines to 2.6.25-1-amd64 and
they all show the same symptoms, kernel cannot find the initramfs.

The machine worked with 2.6.24 and 2.6.22 before.

To test my configuration, installed 2.6.18 afterwards, and that boots,
while 2.6.25 fails, so it is definitely something to do with the kernel
(and not lilo etc.)

Here are the image entries one one machine:

   image = /boot/vmlinuz-2.6.25-1-amd64
      initrd = /boot/initrd.img-2.6.25-1-amd64
      label = debian
      append = "root=/dev/sda2 rootfstype=reiserfs relatime"

   image = /boot/vmlinuz-2.6.24-1-amd64
      initrd = /boot/initrd.img-2.6.24-1-amd64
      label = old
      append = "root=/dev/sda2 rootfstype=reiserfs relatime"

And here my full lilo.conf on another system showing exactly the same symptoms:

   boot = /dev/hda
   root = /dev/hda2
   read-only
   compact        # faster, but won't work on all systems.
   lba32
   #serial = 1,9600n8
   vga = 0    # force sane state
   default = old
   delay = 0

   image = /boot/vmlinuz-2.6.25-1-amd64
      label = default
      initrd = /boot/initrd.img-2.6.25-1-amd64

   image = /boot/vmlinuz-2.6.24-1-amd64
      label = old
      initrd = /boot/initrd.img-2.6.24-1-amd64


-- Package-specific info:

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.11etch1 Debian configuration management sy
ii  initramfs-tools [linux-initr 0.85h       tools for generating an initramfs
ii  module-init-tools            3.3-pre4-2  tools for managing Linux kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information:
  linux-image-2.6.25-1-amd64/preinst/overwriting-modules-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/abort-overwrite-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/failed-to-move-modules-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/abort-install-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/preinst/lilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/elilo-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-1-amd64/preinst/bootloader-initrd-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/preinst/initrd-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/create-kimage-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/old-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/bootloader-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.25-1-amd64/postinst/depmod-error-initrd-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/postinst/depmod-error-2.6.25-1-amd64: false
  linux-image-2.6.25-1-amd64/postinst/bootloader-test-error-2.6.25-1-amd64:
  linux-image-2.6.25-1-amd64/postinst/old-system-map-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/postinst/old-dir-initrd-link-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/prerm/would-invalidate-boot-loader-2.6.25-1-amd64: true
  linux-image-2.6.25-1-amd64/prerm/removing-running-kernel-2.6.25-1-amd64: true
  shared/kernel-image/really-run-bootloader: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 479101@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <479101@bugs.debian.org>
Subject: linux-image-2.6.25-1-amd64: more info on initramfs failure
Date: Mon, 05 May 2008 12:45:09 +0200
Package: linux-image-2.6.25-1-amd64
Version: 2.6.25-1
Followup-For: Bug #479101


The issue is this:

   checking if image is initramfs...it isn't (bad gzip magic numbers); looks like an initrd

however, the initrd image certainly *is* an initramfs:

   cerebro /boot# zcat initrd.img-2.6.25-1-amd64|cpio -t|head
   .
   bin
   bin/cat
   ...

So this seems to be a bug somewhere in the kernel initramfs detection code.

(google finds a lot of similar cases for 2.6.25)

-- Package-specific info:

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-1-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.11etch1 Debian configuration management sy
ii  initramfs-tools [linux-initr 0.92a       tools for generating an initramfs
ii  module-init-tools            3.3-pre4-2  tools for managing Linux kernel mo

linux-image-2.6.25-1-amd64 recommends no packages.

-- debconf information excluded




Severity set to `grave' from `normal' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 05 May 2008 11:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#479101; Package linux-image-2.6.25-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 479101@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Marc Lehmann <debian-reportbug@plan9.de>, 479101@bugs.debian.org
Subject: Re: Bug#479101: linux-image-2.6.25-1-amd64: more info on initramfs failure
Date: Mon, 5 May 2008 13:23:50 +0200
On Mon, May 05, 2008 at 12:45:09PM +0200, Marc Lehmann wrote:
> Package: linux-image-2.6.25-1-amd64
> Version: 2.6.25-1
> Followup-For: Bug #479101
> 
> 
> The issue is this:
> 
>    checking if image is initramfs...it isn't (bad gzip magic numbers); looks like an initrd
> 
> however, the initrd image certainly *is* an initramfs:
> 
>    cerebro /boot# zcat initrd.img-2.6.25-1-amd64|cpio -t|head
>    .
>    bin
>    bin/cat
>    ...
> 
> So this seems to be a bug somewhere in the kernel initramfs detection code.
> 
> (google finds a lot of similar cases for 2.6.25)
> 

are you using lilo?

can you reproduce with grub?

thanks for the info!

-- 
maks




Bug 479101 cloned as bug 479607. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Mon, 05 May 2008 17:54:01 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-image-2.6.25-1-amd64' to `lilo'. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Mon, 05 May 2008 17:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to `lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs' from `linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root'. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Mon, 05 May 2008 17:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #78 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 479607@bugs.debian.org
Subject: Previous version of lilo does not work either
Date: Thu, 08 May 2008 10:57:08 +0200
After downgrading lilo to 1:22.8-3.1 (sept. 2007) andexecuting lilo -v, 
the bug still persists.  So it seems this has nothing to do with lilo??

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to "Zack Weinberg" <zackw@panix.com>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #83 received at 479607@bugs.debian.org (full text, mbox):

From: "Zack Weinberg" <zackw@panix.com>
To: 479607@bugs.debian.org, 479607-submitter@bugs.debian.org
Subject: Re: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Wed, 14 May 2008 00:17:49 -0400
I was having exactly the same problem and found that adding
"large-memory" to lilo.conf made it work.

zw




Message sent on to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug#479607. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #91 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Zack Weinberg <zackw@panix.com>
Cc: 479607@bugs.debian.org
Subject: Re: Bug#479607: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Wed, 14 May 2008 19:55:43 +0200
Zack Weinberg wrote:
> I was having exactly the same problem and found that adding
> "large-memory" to lilo.conf made it work.

Hi,

On my machine the bug persists with large-memory too (global section of 
lilo.conf).

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #96 received at 479607@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 479607@bugs.debian.org
Subject: workaround: MODULES=dep
Date: Thu, 15 May 2008 21:55:20 +0200
Hi,

just as a possible workaround:

maks asked me to try with MODULES=dep to make the created initramfs smaller,
- and indeed after changing it and regenerating the initramfs (and running
  lilo ;) ) 2.6.25-2-amd64 booted fine on my MacBook (x86_64).

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #101 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Rene Engelhard <rene@debian.org>, 479607@bugs.debian.org
Subject: Cmd line
Date: Fri, 16 May 2008 11:15:00 +0200
Could you please give me the command line?  Is it
"MODULES=dep mkinitramfs -k -o /tmp/initramfs-2.6.25-2-amd64-mod 
2.6.25-2-amd64"?  It generates a file at nearly the same size as the 
official one.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #106 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Rene Engelhard <rene@debian.org>, 479607@bugs.debian.org
Subject: Works
Date: Fri, 16 May 2008 11:22:12 +0200
Hi,

I have just found that the MODULES variable is in the /etc/initramfs/... 
file.  So I changed it and the kernel boots!

Official initrd: 6.7MB
With MODULES=dep: 3.2MB

-- 
Eugen





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Cevey <seb@cine7.net>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #111 received at 479607@bugs.debian.org (full text, mbox):

From: Sebastien Cevey <seb@cine7.net>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 479607@bugs.debian.org
Cc: Rene Engelhard <rene@debian.org>
Subject: Re: Bug#479607: Works
Date: Fri, 16 May 2008 11:46:41 +0200
Selon Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:

> I have just found that the MODULES variable is in the /etc/initramfs/... 
> file.  So I changed it and the kernel boots!

I had the initial problem too and I tried to change MODULES. Now the boot
process does find the root fs and starts initializing stuff, however it gets
stuck after loading ata_piix:

ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
scsi0 : ata_piix
scsi1 : ata_piix


Seems like something is still missing, and I have not figured out what yet..

-- 
Sebastien Cevey - inso.cc





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #116 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Sebastien Cevey <seb@cine7.net>
Cc: 479607@bugs.debian.org, Rene Engelhard <rene@debian.org>
Subject: Re: Bug#479607: Works
Date: Fri, 16 May 2008 16:45:11 +0200
Sebastien Cevey wrote:
> Selon Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
> 
>> I have just found that the MODULES variable is in the /etc/initramfs/... 
>> file.  So I changed it and the kernel boots!
> 
> I had the initial problem too and I tried to change MODULES. Now the boot
> process does find the root fs and starts initializing stuff, however it gets
> stuck after loading ata_piix:
> 
> ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
> scsi0 : ata_piix
> scsi1 : ata_piix
> 
> 
> Seems like something is still missing, and I have not figured out what yet..

My machine prints:
[...]
[    0.657884] ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
[    0.684065] PCI: Setting latency timer of device 0000:00:1f.2 to 64
[    0.684121] scsi0 : ata_piix
[    0.684256] scsi1 : ata_piix
[    0.685195] ata1: SATA max UDMA/133 cmd 0x60f8 ctl 0x6114 bmdma 
0x6020 irq 18
[    0.685283] ata2: SATA max UDMA/133 cmd 0x60f0 ctl 0x6110 bmdma 
0x6028 irq 18
[    0.500118] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    0.704055] ata1.00: ATA-8: FUJITSU MHW2120BH, 00810013, max UDMA/100
[    0.704055] ata1.00: 234441648 sectors, multi 16: LBA48 NCQ (depth 0/32)
[    0.508045] ata1.00: configured for UDMA/100
[    0.544092] ata2: SATA link down (SStatus 0 SControl 0)
[    0.716056] scsi 0:0:0:0: Direct-Access     ATA      FUJITSU MHW2120B 
0081 PQ: 0 ANSI: 5

HTH,
-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #121 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Sebastien Cevey <seb@cine7.net>, 479607@bugs.debian.org
Subject: Re: Bug#479607: Works
Date: Fri, 16 May 2008 16:59:27 +0200
Sebastien Cevey wrote:
> Selon Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
> 
>> My machine prints:
>> [...]
>> [    0.657884] ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
>> [    0.684065] PCI: Setting latency timer of device 0000:00:1f.2 to 64
>> [    0.684121] scsi0 : ata_piix
>> [    0.684256] scsi1 : ata_piix
>> [    0.685195] ata1: SATA max UDMA/133 cmd 0x60f8 ctl 0x6114 bmdma 
>> 0x6020 irq 18
>> [    0.685283] ata2: SATA max UDMA/133 cmd 0x60f0 ctl 0x6110 bmdma 
>> 0x6028 irq 18
>> [    0.500118] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
>> [    0.704055] ata1.00: ATA-8: FUJITSU MHW2120BH, 00810013, max UDMA/100
>> [    0.704055] ata1.00: 234441648 sectors, multi 16: LBA48 NCQ (depth 0/32)
>> [    0.508045] ata1.00: configured for UDMA/100
>> [    0.544092] ata2: SATA link down (SStatus 0 SControl 0)
>> [    0.716056] scsi 0:0:0:0: Direct-Access     ATA      FUJITSU MHW2120B 
>> 0081 PQ: 0 ANSI: 5
> 
> That's also the kind of output I get with my working 2.6.24 kernel, but the
> 2.6.25-2-amd64 kernel freezes after "scsi1 : ata_piix". I'm running Debian
> x86_64 on a macbookpro (Core 2 Duo Penryn).

Mine is macbookpro Merom (mid 2007).

> Did you add anything to the /etc/initramfs/modules list, or change anything
> apart MODULES=dep?

No.

> Does the fix work for other people, or does anyone experience the same issue as
> I do?





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #126 received at 479607@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 479101 <479101@bugs.debian.org>
Cc: 479607@bugs.debian.org
Subject: Re: Bug#479101: #479101: Kernel panic: Unable to mount root also with 2.6.25-3
Date: Thu, 22 May 2008 16:59:29 +0200
[Message part 1 (text/plain, inline)]
Am Dienstag, den 20.05.2008, 23:49 +0200 schrieb maximilian attems:

> > I have the described problem also with linux-image-2.6.25-2-amd64
> > 2.6.25-3.
> 
> this is a lilo bug, haven't seen much reaction from lilo maintainer/dev
> side yet. see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479607#96
> and followups for workaround.
> 
> seems lilo is passing full initramfs due to some size limitation.

Thanks for the pointer which helped me to get 2.6.25-2-amd64 running:

1. edit /etc/initramfs-tools/initramfs.conf and change the default
"MODULES=most" to "MODULES=dep"

2. run "update-initramfs -k 2.6.25-2-amd64 -u -v"

3. reboot


-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #131 received at 479607@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: 479607@bugs.debian.org
Date: Tue, 27 May 2008 12:53:25 -0500
[Message part 1 (text/plain, inline)]
Hi,

Is this because of the image size being too large? I need to know so I
can talk with upstream about this issue. He may not choose to help
though because we patch lilo a lot (something I intend to look through
and see how many of these patches we *really* need at some point).

William
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #136 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: William Pitcock <nenolod@sacredspiral.co.uk>, 479607@bugs.debian.org
Subject: Re: Bug#479607:
Date: Tue, 27 May 2008 19:57:16 +0200
William Pitcock wrote:
> Hi,
> 
> Is this because of the image size being too large? I need to know so I
> can talk with upstream about this issue. He may not choose to help
> though because we patch lilo a lot (something I intend to look through
> and see how many of these patches we *really* need at some point).

How can I know if this is the cause?

-rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #141 received at 479607@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 479607@bugs.debian.org
Subject: Re: Bug#479607:
Date: Tue, 27 May 2008 13:32:00 -0500
[Message part 1 (text/plain, inline)]
Hi,

On Tue, 2008-05-27 at 19:57 +0200, Eugen Dedu wrote:
> William Pitcock wrote:
> > Hi,
> > 
> > Is this because of the image size being too large? I need to know so I
> > can talk with upstream about this issue. He may not choose to help
> > though because we patch lilo a lot (something I intend to look through
> > and see how many of these patches we *really* need at some point).
> 
> How can I know if this is the cause?
> 
> -rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64
> 

What is the size of your 2.6.24 initrd?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #146 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 479607@bugs.debian.org
Subject: Re: Bug#479607:
Date: Tue, 27 May 2008 20:34:14 +0200
William Pitcock wrote:
> Hi,
> 
> On Tue, 2008-05-27 at 19:57 +0200, Eugen Dedu wrote:
>> William Pitcock wrote:
>>> Hi,
>>>
>>> Is this because of the image size being too large? I need to know so I
>>> can talk with upstream about this issue. He may not choose to help
>>> though because we patch lilo a lot (something I intend to look through
>>> and see how many of these patches we *really* need at some point).
>> How can I know if this is the cause?
>>
>> -rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64
>>
> 
> What is the size of your 2.6.24 initrd?

-rw-r--r-- 1 root 6825782 May 14 09:55 initrd.img-2.6.24-1-amd64


-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Richard Salts <dbts@spectralmud.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #151 received at 479607@bugs.debian.org (full text, mbox):

From: Richard Salts <dbts@spectralmud.org>
To: Debian Bug Tracking System <479607@bugs.debian.org>
Subject: Re: Bug#479607
Date: Thu, 19 Jun 2008 23:44:17 +1000
Package: lilo
Version: 1:22.8-4
Followup-For: Bug #479607



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-1-686 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages lilo depends on:
ii  debconf [debconf-2.0]        1.5.22      Debian configuration management sy
ii  libc6                        2.7-12      GNU C Library: Shared libraries
ii  libdevmapper1.02.1           2:1.02.25-1 The Linux Kernel Device Mapper use
ii  mbr                          1.1.10-1    Master Boot Record for IBM-PC comp

lilo recommends no packages.

-- debconf information excluded

I've got 2.6.25-1-686 installed but I'm seeing the same problem when going
to 2.6.25-2-amd64. The sizes of initrd images are:

-rw-r--r-- 1 root root 8934811 May 17 05:55 initrd.img-2.6.25-1-686
-rw-r--r-- 1 root root 9021244 Jun 19 22:55 initrd.img-2.6.25-2-amd64

I'm going to try with MODULES=dep and see if I can get the new kernel to
work.




Reply sent to William Pitcock <nenolod@sacredspiral.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #156 received at 479607-close@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: 479607-close@bugs.debian.org
Subject: Bug#479607: fixed in lilo 1:22.8-5
Date: Mon, 23 Jun 2008 18:47:06 +0000
Source: lilo
Source-Version: 1:22.8-5

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.8-5_all.deb
  to pool/main/l/lilo/lilo-doc_22.8-5_all.deb
lilo_22.8-5.diff.gz
  to pool/main/l/lilo/lilo_22.8-5.diff.gz
lilo_22.8-5.dsc
  to pool/main/l/lilo/lilo_22.8-5.dsc
lilo_22.8-5_i386.deb
  to pool/main/l/lilo/lilo_22.8-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
William Pitcock <nenolod@sacredspiral.co.uk> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Jun 2008 03:01:15 -0500
Source: lilo
Binary: lilo lilo-doc
Architecture: source i386 all
Version: 1:22.8-5
Distribution: unstable
Urgency: low
Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
Changed-By: William Pitcock <nenolod@sacredspiral.co.uk>
Description: 
 lilo       - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc   - Documentation for LILO (LInux LOader)
Closes: 312450 421531 463689 469502 479607 486227 487144
Changes: 
 lilo (1:22.8-5) unstable; urgency=low
 .
   [ William Pitcock ]
   * Change patch system to quilt.
   * debian/control:
     - Add Vcs-Svn: and Vcs-Browser: fields.
     - Change build dependency tetex-bin to texlive-latex-base.
   * po/:
     - Add Finnish debconf translation. (Closes: #469502)
     - Update Japanese translation. (Closes: #463689)
     - Update Brazilian Portugese translation. (Closes: #421531)
     - Update Vietnamese translation. (Closes: #312450, #486227)
     - Add Basque translation. (Closes: #487144)
   * debian/liloconfig: Warn about large initrd images, as not
     all systems can successfully boot when the 8MB barrier is reached,
     it depends a lot on system BIOS and chipset configuration.
     (Closes: #479607)
 .
   [ Christian Perrier ]
   * [Lintian] Change menu section to Applications and subsection to
     Administration
   * [Lintian] Change call to su-to-root to /usr/bin/su-to-root in menu
     file
Checksums-Sha1: 
 2e17c2ac5d40a02422ef679860b5f6a43c61cfb1 1237 lilo_22.8-5.dsc
 dcb44276b1c6138e886af0c1e9596140aa9fb39c 223038 lilo_22.8-5.diff.gz
 8f5dd4396552aac390b24a5026af80174961f6a6 374954 lilo_22.8-5_i386.deb
 740dc7e45aa676c7b46cea9502a700b44cf3ce66 345496 lilo-doc_22.8-5_all.deb
Checksums-Sha256: 
 448c96074ed651cc8dd7aff17910bdd0fb20e7bbbcffb9897a5669f19bd099cd 1237 lilo_22.8-5.dsc
 5ec9e202914ef518bffdf82430edeed89e8158f5d318528cf840e61266982978 223038 lilo_22.8-5.diff.gz
 90bfdc597f8e221be956f4ef414e760a44717016ea8d4e751abb39f16f327546 374954 lilo_22.8-5_i386.deb
 169d61a3c9b7dec43fc2898628ad6a7a78aab603bdb50bdb614632c77d556202 345496 lilo-doc_22.8-5_all.deb
Files: 
 6a9499c09c84ac271123c80f06b16b83 1237 admin optional lilo_22.8-5.dsc
 161f55399515863b05e833d575be762c 223038 admin optional lilo_22.8-5.diff.gz
 bd367f86adef7c8e1662b928a58c263a 374954 admin optional lilo_22.8-5_i386.deb
 20287a3b309b008f30be733b643e644c 345496 doc optional lilo-doc_22.8-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhf7ssACgkQ1OXtrMAUPS3zFwCfcPSzp3UMdQCyj4ZclEv2DJDn
GmIAn2nIFvhXycA6aw4uSyKUywN5SgWt
=FA89
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to annonygmouse <annonygmouse@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #161 received at 479607@bugs.debian.org (full text, mbox):

From: annonygmouse <annonygmouse@yahoo.co.uk>
To: 479101@bugs.debian.org, 479607@bugs.debian.org
Subject: With lilo 22.8-5 still can't boot on macbookpro
Date: Mon, 14 Jul 2008 17:43:07 +0200
Hi folks I've seen bug 479607 has been closed with lilo version 22.8-5 
but I still can't boot my machine with 2.6.25-2...


debianmbp:~# LANG=C aptitude show lilo
Package: lilo
State: installed
Automatically installed: no
Version: 1:22.8-5
Priority: optional
Section: admin
Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
Uncompressed Size: 1208k
Depends: mbr, debconf (>= 1.2.9) | debconf-2.0, libc6 (>= 2.7-1), 
libdevmapper1.02.1 (>= 2:1.02.20)
Suggests: lilo-doc
Conflicts: manpages (< 1.29-3)
Description: LInux LOader - The Classic OS loader can load Linux and others
 This package contains lilo (the installer) and boot-record-images to 
install Linux, OS/2, DOS and generic Boot Sectors of other OSes.

 You can use LILO to manage your Master Boot Record (with a simple text 
screen, text menu or colorful splash graphics) or call LILO from
 other Boot-Loaders to jump-start the Linux kernel.

Tags: admin::boot, interface::commandline, role::program, scope::utility

debianmbp:~#

Running lilo shows the following.

debianmbp:~# lilo
Warning: LBA32 addressing assumed
Added Linux *
Added LinuxOLD
One warning was issued.
debianmbp:~#


Is this the warning saying that de 8MB barrier has been met? Because I 
think this warning happened before...

Kind regards
Sebastià





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #166 received at 479607@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: annonygmouse <annonygmouse@yahoo.co.uk>, 479607@bugs.debian.org
Cc: 479101@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#479607: With lilo 22.8-5 still can't boot on macbookpro
Date: Mon, 14 Jul 2008 23:00:00 +0200
reopen 479607
thanks

annonygmouse wrote:
> 
> Hi folks I've seen bug 479607 has been closed with lilo version 22.8-5 
> but I still can't boot my machine with 2.6.25-2...
> 
> 
> debianmbp:~# LANG=C aptitude show lilo
> Package: lilo
> State: installed
> Automatically installed: no
> Version: 1:22.8-5
> Priority: optional
> Section: admin
> Maintainer: William Pitcock <nenolod@sacredspiral.co.uk>
> Uncompressed Size: 1208k
> Depends: mbr, debconf (>= 1.2.9) | debconf-2.0, libc6 (>= 2.7-1), 
> libdevmapper1.02.1 (>= 2:1.02.20)
> Suggests: lilo-doc
> Conflicts: manpages (< 1.29-3)
> Description: LInux LOader - The Classic OS loader can load Linux and others
>  This package contains lilo (the installer) and boot-record-images to 
> install Linux, OS/2, DOS and generic Boot Sectors of other OSes.
> 
>  You can use LILO to manage your Master Boot Record (with a simple text 
> screen, text menu or colorful splash graphics) or call LILO from
>  other Boot-Loaders to jump-start the Linux kernel.
> 
> Tags: admin::boot, interface::commandline, role::program, scope::utility
> 
> debianmbp:~#
> 
> Running lilo shows the following.
> 
> debianmbp:~# lilo
> Warning: LBA32 addressing assumed
> Added Linux *
> Added LinuxOLD
> One warning was issued.
> debianmbp:~#
> 
> 
> Is this the warning saying that de 8MB barrier has been met? Because I 
> think this warning happened before...

Hi,

It seems to me that lilo does not show any warning for the image which 
does not work on my machine.  In fact, as previously said, the image has 
less than 8MB:

-rw-r--r-- 1 root root 6998498 2008-05-16 10:11 initrd.img-2.6.25-2-amd64

I put a few days ago this image as the default one and run lilo: no 
warning was issued about the size, still rebooting the computer does not 
work.

So I reopen this bug.

Cheers,
-- 
Eugen Dedu




Bug reopened, originator not changed. Request was from Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr> to control@bugs.debian.org. (Mon, 14 Jul 2008 21:03:09 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr> Request was from William Pitcock <nenolod@sacredspiral.co.uk> to control@bugs.debian.org. (Mon, 14 Jul 2008 21:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to Joergen Bergmann <joergen_bergmann@gmx.net>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #175 received at 479607@bugs.debian.org (full text, mbox):

From: Joergen Bergmann <joergen_bergmann@gmx.net>
To: 479607@bugs.debian.org
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Tue, 15 Jul 2008 19:31:49 +0200
Package: lilo
Version: 1:22.8-5

CPU: intel Core2Duo 8400
Board: Gigabyte GA P35-DS3R

Hi,

the kernel linux-image-2.6.25-2-amd64 (Version 2.6.25-6, migrated to 
testing) fails to boot with Kernel panic, even with lilo 1:22.8-5.

Adding "large-memory" to lilo.conf solves the problem for me.

If it solves the problem in general, it should be added by default in 
lilo.conf.

At least there should be some warnings before installing lilo and 
leaving the system unbootable.

Just for information: the next problem I had to deal with, after I was 
able to boot, was #479709 Kernel 2.6.25 freezes, because of some 
problems with HPET (which is default on new systems)

No luck with the 2.6.25 transition to testing...

best regards

Jörgen




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #180 received at 479607@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Joergen Bergmann <joergen_bergmann@gmx.net>, 479607@bugs.debian.org
Subject: Re: Bug#479607: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Tue, 15 Jul 2008 19:22:59 -0500
[Message part 1 (text/plain, inline)]
Hi,

Thanks for the suggestion. I will be sure to do this in -6.

William

On Tue, 2008-07-15 at 19:31 +0200, Joergen Bergmann wrote:
> Package: lilo
> Version: 1:22.8-5
> 
> CPU: intel Core2Duo 8400
> Board: Gigabyte GA P35-DS3R
> 
> Hi,
> 
> the kernel linux-image-2.6.25-2-amd64 (Version 2.6.25-6, migrated to 
> testing) fails to boot with Kernel panic, even with lilo 1:22.8-5.
> 
> Adding "large-memory" to lilo.conf solves the problem for me.
> 
> If it solves the problem in general, it should be added by default in 
> lilo.conf.
> 
> At least there should be some warnings before installing lilo and 
> leaving the system unbootable.
> 
> Just for information: the next problem I had to deal with, after I was 
> able to boot, was #479709 Kernel 2.6.25 freezes, because of some 
> problems with HPET (which is default on new systems)
> 
> No luck with the 2.6.25 transition to testing...
> 
> best regards
> 
> Jörgen
> 
> 
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to annonygmouse <annonygmouse@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #185 received at 479607@bugs.debian.org (full text, mbox):

From: annonygmouse <annonygmouse@yahoo.co.uk>
To: 479607@bugs.debian.org
Subject: Still doesn't boot with "large-memory" on lilo.conf
Date: Thu, 17 Jul 2008 22:18:38 +0200
Hi,

I haven't tried the workaround of "MODULES=dep", but the workaround
of "large-memory" in lilo.conf does not work for me...

/debianmbp:~# ll /boot/initrd.img-2.6.25-2-amd64*
-rw-r--r-- 1 root root 6797272 10 jul 21:39 /boot/initrd.img-2.6.25-2-amd64
-rw-r--r-- 1 root root 6738343  6 jul 01:57 
/boot/initrd.img-2.6.25-2-amd64.bak
debianmbp:~# ll -h /boot/initrd.img-2.6.25-2-amd64*
-rw-r--r-- 1 root root 6,5M 10 jul 21:39 /boot/initrd.img-2.6.25-2-amd64
-rw-r--r-- 1 root root 6,5M  6 jul 01:57 /boot/initrd.img-2.6.25-2-amd64.bak
debianmbp:~#


Is there anything else I can do to help solve this annoying bug?
Kind regards
Sebastià





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to "Anders Häggström" <hagge.lists@intercorner.net>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #190 received at 479607@bugs.debian.org (full text, mbox):

From: "Anders Häggström" <hagge.lists@intercorner.net>
To: 479607@bugs.debian.org
Subject: linux-image-2.6.25-1-amd64: Kernel panic: Unable to mount root
Date: Tue, 22 Jul 2008 00:37:54 +0200
Hello, I am yet another "me too" on this lilo-bug.

I installed a clean debian (debian-40r3-amd64-netinst) just a day ago,
and directly updated to lenny throu "aptitude dist-upgrade" and I got
a panic after rebooting into my new kernel and system.

My common sence is that I am installing on lvm2 on top of sw-raid
(mdadm). If I put my root-device directly on the sw-raid the installer
picks grub but with lvm2 on sw-raid I get lilo. With grub I am able to
upgrade into lenny but not with lilo.

 The "MODULES=dep"-workaround is working for me with lilo and kernel 2.6.25-2.


Tell me if you want any specific output from my system.

Regards
Anders




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to "Carl Witty" <carl.witty@gmail.com>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #195 received at 479607@bugs.debian.org (full text, mbox):

From: "Carl Witty" <carl.witty@gmail.com>
To: 479607@bugs.debian.org
Subject: large-memory did fix the problem for me
Date: Sat, 26 Jul 2008 13:08:03 -0700
I installed from debian-LennyBeta2-amd64-netinst.iso, which worked; I
then upgraded to linux-image-2.6.25-2-amd64, which failed (it did not
even try to run /init from initrd.img).

I then added large-memory to /etc/lilo.conf (at the global level), and
now it works.  (I did not try MODULES=dep.)

Maybe there are two different problems?  Or maybe large-memory only
helps on certain systems?  I've got a SuperMicro X7DCA-i motherboard
with 2x Core 2 Quad and 8GB RAM.

Some people have wanted to know file sizes.  Here are the file sizes
for the initial 2.6.24 kernel:
cwitty@red-spider:~$ ls -lL /vmlinuz.old /initrd.img.old
-rw-r--r-- 1 root root 7760701 2008-07-25 22:01 /initrd.img.old
-rw-r--r-- 1 root root 1668248 2008-05-10 02:32 /vmlinuz.old

And for the new kernel:
cwitty@red-spider:~$ ls -lL /vmlinuz /initrd.img
-rw-r--r-- 1 root root 8031788 2008-07-26 08:56 /initrd.img
-rw-r--r-- 1 root root 1727456 2008-07-14 05:16 /vmlinuz

Carl




Reply sent to William Pitcock <nenolod@dereferenced.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #200 received at 479607-close@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@dereferenced.org>
To: 479607-close@bugs.debian.org
Subject: Bug#479607: fixed in lilo 1:22.8-6
Date: Sat, 26 Jul 2008 21:02:58 +0000
Source: lilo
Source-Version: 1:22.8-6

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.8-6_all.deb
  to pool/main/l/lilo/lilo-doc_22.8-6_all.deb
lilo_22.8-6.diff.gz
  to pool/main/l/lilo/lilo_22.8-6.diff.gz
lilo_22.8-6.dsc
  to pool/main/l/lilo/lilo_22.8-6.dsc
lilo_22.8-6_i386.deb
  to pool/main/l/lilo/lilo_22.8-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
William Pitcock <nenolod@dereferenced.org> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Jul 2008 15:47:25 -0500
Source: lilo
Binary: lilo lilo-doc
Architecture: source i386 all
Version: 1:22.8-6
Distribution: unstable
Urgency: low
Maintainer: William Pitcock <nenolod@dereferenced.org>
Changed-By: William Pitcock <nenolod@dereferenced.org>
Description: 
 lilo       - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc   - Documentation for LILO (LInux LOader)
Closes: 479607
Changes: 
 lilo (1:22.8-6) unstable; urgency=low
 .
   * debian/liloconfig: Use large-memory mode. (Closes: #479607).
   * debian/control: Update e-mail address, Standards-Version.
Checksums-Sha1: 
 175203d356b23f0f1bae1250ec887cb448a9887a 1235 lilo_22.8-6.dsc
 28fd4ee59d7d764ac64e747914a4913d10a7587a 223349 lilo_22.8-6.diff.gz
 e04a225032557337dd5f653447e31cbefb3886e5 383086 lilo_22.8-6_i386.deb
 5c600912f8fd05afa29a4e80ae210bbbe4d15e69 345610 lilo-doc_22.8-6_all.deb
Checksums-Sha256: 
 b58ceba477a5f0c6ea1da302376955fc9b6205c8f0f65d0acb548550d31c6b2e 1235 lilo_22.8-6.dsc
 b9534a75a3ea08ca64aa5738ac44c677906157129798f7c738bef279977c174a 223349 lilo_22.8-6.diff.gz
 d11f59f7087e0aef12e751ec5a0f3692ee57fb999a6d49b4f9040f7b0b9eaad0 383086 lilo_22.8-6_i386.deb
 6fe720856a93ff08e507deef2d6e79e63a2044236ab380b215840fd32a767ce0 345610 lilo-doc_22.8-6_all.deb
Files: 
 7eadf3a7361cf131532aa90053927aed 1235 admin optional lilo_22.8-6.dsc
 18b8fe1a064fe3090f6a4aac889d3ce9 223349 admin optional lilo_22.8-6.diff.gz
 7602324c3ad8907787851532653b4df3 383086 admin optional lilo_22.8-6_i386.deb
 c810d6956b2eac232142cad9d550b356 345610 doc optional lilo-doc_22.8-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiLjz0ACgkQAQwuptkwlkTx0QCeNPhGiI9rGAa1y1HrZe1u5itW
LmkAniHicAoBAzIgXicJh8zgOUrfrw4w
=2W8p
-----END PGP SIGNATURE-----





Forcibly Merged 479607 492918. Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Wed, 30 Jul 2008 19:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrișor" <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. Full text and rfc822 format available.

Message #207 received at 479607@bugs.debian.org (full text, mbox):

From: "Eddy Petrișor" <eddy.petrisor@gmail.com>
To: 479607@bugs.debian.org
Subject: Fwd: Bug#492918: [PANIC][REGRESSION] linux-image-2.6.25-2-amd64: kernel fails to mount root on LVM2
Date: Thu, 31 Jul 2008 18:09:16 +0300
Forwarding for completeness purposes


---------- Forwarded message ----------
From: Eddy Petrișor <eddy.petrisor@gmail.com>
Date: 2008/7/31
Subject: Re: Bug#492918: [PANIC][REGRESSION]
linux-image-2.6.25-2-amd64: kernel fails to mount root on LVM2
To: 492918@bugs.debian.org


Debian Bug Tracking System wrote:
>
> Thank you for filing a new Bug report with Debian.

I also found the large-memory hack enough, even if I the problem
didn't went away by itself when upgrading to 22.8-6.

I also think that the fix, as it is now, will not help people
upgrading from etch to lenny since their /etc/lilo.conf files will not
contain 'large-memory' and the upgrade will not add it.


Would it be possible to insert that option into lilo.conf, after
asking the user to confirm that action?

I know that modifying conf files is RC, but lilo.conf is not part of
the package, so modifying it after confirmation seems ok, doesn't it?

--
Regards,
EddyP



-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to "Monkey D. Luffy" <the.real.monkey.d.luffy@gmail.com>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. Full text and rfc822 format available.

Message #212 received at 479607@bugs.debian.org (full text, mbox):

From: "Monkey D. Luffy" <the.real.monkey.d.luffy@gmail.com>
To: 479607@bugs.debian.org
Subject: Re: Bug#479607 - kernel panic after initramfs-tools upgrade that makes lilo to be executed
Date: Sat, 9 Aug 2008 15:32:48 +0100
Another request for adding the "large-memory" line in lilo.conf after
it's upgraded. Or at the very least issue a warning.


After I upgraded initramfs-tools my system I got kernel panics.
It was solved by adding that magic line.
Full story here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494422

Regards




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to annonygmouse <annonygmouse@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. Full text and rfc822 format available.

Message #217 received at 479607@bugs.debian.org (full text, mbox):

From: annonygmouse <annonygmouse@yahoo.co.uk>
To: 479607@bugs.debian.org
Subject: Still doesn't work..
Date: Thu, 14 Aug 2008 17:53:48 +0200
[Message part 1 (text/plain, inline)]

With newest lilo (22.8-6) my linux-image 2.6.25 and 2.6.26 still fail
to boot...

debianmbp:~$ ll /boot/*2.6.25*
-rw-r--r-- 1 root root   82331 27 jun 03:27 /boot/config-2.6.25-2-amd64
-rw-r--r-- 1 root root 6797686  3 ago 01:34 /boot/initrd.img-2.6.25-2-amd64
-rw-r--r-- 1 root root 6797272 10 jul 21:39 
/boot/initrd.img-2.6.25-2-amd64.bak
-rw-r--r-- 1 root root 1186271 27 jun 03:27 /boot/System.map-2.6.25-2-amd64
-rw-r--r-- 1 root root 1727488 27 jun 03:27 /boot/vmlinuz-2.6.25-2-amd64
jo@debianmbp:~$ ll /boot/*2.6.26*
-rw-r--r-- 1 root root   85576  8 ago 16:27 /boot/config-2.6.26-1-amd64
-rw-r--r-- 1 root root 6856870 14 ago 15:13 /boot/initrd.img-2.6.26-1-amd64
-rw-r--r-- 1 root root 1223863  8 ago 16:27 /boot/System.map-2.6.26-1-amd64
-rw-r--r-- 1 root root 1753840  8 ago 16:26 /boot/vmlinuz-2.6.26-1-amd64


And after adding "lba32" my lilo gives no warning.

Added lilo.conf.


Kind regards
Sebastià
[lilo.conf (text/plain, inline)]
# /etc/lilo.conf - See: `lilo(8)' and `lilo.conf(5)',
# ---------------       `install-mbr(8)', `/usr/share/doc/lilo/',
#                       and `/usr/share/doc/mbr/'.

# +---------------------------------------------------------------+
# |                        !! Reminder !!                         |
# |                                                               |
# | Don't forget to run `lilo' after you make changes to this     |
# | conffile, `/boot/bootmess.txt' (if you have created it), or   |
# | install a new kernel.  The computer will most likely fail to  |
# | boot if a kernel-image post-install script or you don't       |
# | remember to run `lilo'.                                       |
# |                                                               |
# +---------------------------------------------------------------+

# Specifies the boot device.  This is where Lilo installs its boot
# block.  It can be either a partition, or the raw device, in which
# case it installs in the MBR, and will overwrite the current MBR.
#
boot=/dev/sda4

# Specifies the device that should be mounted as root. (`/')
#
root=/dev/sda4

# This option may be needed for some software RAID installs.
#
# raid-extra-boot=mbr-only

# Enable map compaction:
# Tries to merge read requests for adjacent sectors into a single
# read request. This drastically reduces load time and keeps the
# map smaller.  Using `compact' is especially recommended when
# booting from a floppy disk.  It is disabled here by default
# because it doesn't always work.
#
# compact

lba32
large-memory

# Installs the specified file as the new boot sector
# You have the choice between: text, bmp, and menu
# Look in lilo.conf(5) manpage for details
#
#install=menu

# Specifies the location of the map file
#
map=/boot/map

# You can set a password here, and uncomment the `restricted' lines
# in the image definitions below to make it so that a password must
# be typed to boot anything but a default configuration.  If a
# command line is given, other than one specified by an `append'
# statement in `lilo.conf', the password will be required, but a
# standard default boot will not require one.
#
# This will, for instance, prevent anyone with access to the
# console from booting with something like `Linux init=/bin/sh',
# and thus becoming `root' without proper authorization.
#
# Note that if you really need this type of security, you will
# likely also want to use `install-mbr' to reconfigure the MBR
# program, as well as set up your BIOS to disallow booting from
# removable disk or CD-ROM, then put a password on getting into the
# BIOS configuration as well.  Please RTFM `install-mbr(8)'.
#
# password=tatercounter2000

# Specifies the number of deciseconds (0.1 seconds) LILO should
# wait before booting the first image.
#
delay=30

# You can put a customized boot message up if you like.  If you use
# `prompt', and this computer may need to reboot unattended, you
# must specify a `timeout', or it will sit there forever waiting
# for a keypress.  `single-key' goes with the `alias' lines in the
# `image' configurations below.  eg: You can press `1' to boot
# `Linux', `2' to boot `LinuxOLD', if you uncomment the `alias'.
#
# message=/boot/bootmess.txt
#	prompt
#	delay=100
#	timeout=100

# Specifies the VGA text mode at boot time. (normal, extended, ask, <mode>)
#
# vga=ask
# vga=9
#


# Kernel command line options that apply to all installed images go
# here.  See: The `boot-prompt-HOWTO' and `kernel-parameters.txt' in
# the Linux kernel `Documentation' directory.
#
# append=""
 
# If you used a serial console to install Debian, this option should be
# enabled by default.
# serial=

#
# Boot up Linux by default.
#
default=Linux

image=/vmlinuz
	label=Linux
	read-only
#	restricted
#	alias=1

	initrd=/initrd.img

image=/vmlinuz.old
	label=LinuxOLD
	read-only
	optional
#	restricted
#	alias=2

	initrd=/initrd.img.old


image=/vmlinuz.2.6.24
	label=Linux2.6.24
	read-only
	optional
#	restricted
#	alias=2
	initrd=/initrd.img.2.6.24

# If you have another OS on this machine to boot, you can uncomment the
# following lines, changing the device name on the `other' line to
# where your other OS' partition is.
#
# other=/dev/hda4
#	label=HURD
#	restricted
#	alias=3

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. Full text and rfc822 format available.

Acknowledgement sent to kurt@roeckx.be (Kurt Roeckx):
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. Full text and rfc822 format available.

Message #222 received at 479607@bugs.debian.org (full text, mbox):

From: kurt@roeckx.be (Kurt Roeckx)
To: control@bugs.debian.org
Cc: 479607@bugs.debian.org
Subject: notfixed 479607 in 1:22.8-6
Date: Sun, 14 Sep 2008 17:44:16 +0200 (CEST)
# Automatically generated email from bts, devscripts version 2.10.35
# Bug report seems to indicate it wasn't fixed and was reopened.
notfixed 479607 1:22.8-6




Bug no longer marked as fixed in version 1:22.8-6. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 14 Sep 2008 15:45:12 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:22.8-6. Request was from nenolod@carpathia.dereferenced.org (William Pitcock) to control@bugs.debian.org. (Sun, 21 Sep 2008 02:06:04 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Eddy Petrișor <eddy.petrisor@gmail.com> Request was from nenolod@carpathia.dereferenced.org (William Pitcock) to control@bugs.debian.org. (Sun, 21 Sep 2008 02:06:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:22.8-6. Request was from nenolod@carpathia.dereferenced.org (William Pitcock) to control@bugs.debian.org. (Sun, 21 Sep 2008 02:06:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Oct 2008 07:25:30 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Duncan Findlay <duncf@debian.org> to control@bugs.debian.org. (Mon, 20 Oct 2008 06:42:04 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Duncan Findlay <duncf@debian.org> to control@bugs.debian.org. (Mon, 20 Oct 2008 06:42:06 GMT) Full text and rfc822 format available.

Forcibly Merged 479607 492918 502345. Request was from Duncan Findlay <duncf@debian.org> to control@bugs.debian.org. (Mon, 20 Oct 2008 06:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 20 Oct 2008 07:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Duncan Findlay <duncf@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 20 Oct 2008 07:03:02 GMT) Full text and rfc822 format available.

Message #243 received at 479607@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: 479607@bugs.debian.org
Subject: Upgrades broken
Date: Sun, 19 Oct 2008 23:58:21 -0700
Hi,

As others have pointed out, this bug is not fixed for users upgrading  
from previous versions. Would it be possible to provide a warning of  
some sort when the initramfs is too big and large-memory is not used?  
At the very least, some information about this in the lilo  
documentation would be much appreciated -- I spent hours trying to  
figure this out.

Also, in the future, please do not close bugs by sending messages to control@bugs.debian.org 
 as this provides no information about why a bug is closed.
http://www.debian.org/doc/developers-reference/pkgs.html#bug-answering

Thanks

Duncan






Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 06:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 06:06:02 GMT) Full text and rfc822 format available.

Message #248 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-l10n-english@lists.debian.org
Cc: 479607@bugs.debian.org
Subject: please review new lilo debconf question
Date: Sun, 26 Oct 2008 15:05:00 +0900
[Message part 1 (text/plain, inline)]
Hi all,

[Please reply to myself, the bug and the list]

As part of the bug sprint for cookies, I've been assigned to fix an RC
bug in lilo (#479607 and clones). Since I don't know assembly, my
proposed fix will be to add a debconf prompt asking if the person doing
the upgrade wants to add the large-memory option to their configuration
file. I will also add a NEWS.Debian file so that other sysadmins may
receive information about the issue and a README.Debian entry with full
info about the issue and extra tips for solving it. It would be great if
debian-l10n-english could review the text for these three parts:

------------------------------------------------------------------------
NEWS.Debian entry

lilo (1:22.8-6) unstable; urgency=low

  lilo may fail to boot with a large kernel+initrd. Please read
  README.Debian for ways to work around this problem.

 -- Paul Wise <pabs@debian.org>  Sat, 25 Oct 2008 21:24:04 +0800

------------------------------------------------------------------------
debconf question:

Template: lilo/add_large_memory
Type: boolean
Default: true
_Description: Do you want to add the large-memory option?
 By default lilo loads the initrd file into the first 15Mb of memory
 to avoid a BIOS limitation with older systems (earlier than 2001).
 .
 Unfortunately with newer kernels the combination of kernel and initrd
 may not fit into the first 15Mb of memory and so the system will not
 boot properly. It seems that the boot issues appear when the
 kernel+initrd combination is larger than 8MB.
 .
 If you have a newer BIOS without the 15Mb limitation, you can add the
 large-memory option to /etc/lilo.conf to tell lilo to use more memory
 for passing the initrd to the kernel. You will need to re-run lilo
 to make this option take effect.
 .
 If you have an older BIOS you may need to reduce the size of the initrd
 *before* rebooting, please see README.Debian for tips on how to do that.

------------------------------------------------------------------------
README.Debian entry:

--[ Large initrd files and lilo

By default lilo loads the initrd file into the first 15MB of memory
to avoid a BIOS limitation with older systems (earlier than 2001).

Unfortunately with newer kernels the combination of kernel and initrd
may not fit into the first 15MB of memory and so the system will not
boot properly.

If you have a newer BIOS without the 15MB limitation, you can add the
large-memory option to /etc/lilo.conf to tell lilo to use more memory
for passing the initrd to the kernel. You will need to re-run lilo
to make this option take effect.

If you have an older BIOS you will need to reduce the size of the initrd
*before* rebooting.

If you are using initramfs-tools, you should replace MODULES=most with
MODULES=dep in your configuration and regenerate your initrd file:

sed -i -e s/MODULES=most/MODULES=dep/ /etc/initramfs-tools/initramfs.conf
update-initramfs -u

If you are using yaird or any other initrd generator, please consult
the documentation for your initrd generator.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 06:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@dereferenced.org>:
Extra info received and forwarded to list. (Sun, 26 Oct 2008 06:18:02 GMT) Full text and rfc822 format available.

Message #253 received at 479607@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@dereferenced.org>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#479607: please review new lilo debconf question
Date: Sun, 26 Oct 2008 01:17:21 -0500
This looks fine. I intended to do this myself, but have not been upload
enabled recently, nor have had enough time to test large-memory on older
machines. My estimate though is that anything P3-era or newer has a new
enough BIOS to handle large-memory.

That said, this looks like the best solution for this bug.

William

On Sun, 2008-10-26 at 15:05 +0900, Paul Wise wrote:
> Hi all,
> 
> [Please reply to myself, the bug and the list]
> 
> As part of the bug sprint for cookies, I've been assigned to fix an RC
> bug in lilo (#479607 and clones). Since I don't know assembly, my
> proposed fix will be to add a debconf prompt asking if the person doing
> the upgrade wants to add the large-memory option to their configuration
> file. I will also add a NEWS.Debian file so that other sysadmins may
> receive information about the issue and a README.Debian entry with full
> info about the issue and extra tips for solving it. It would be great if
> debian-l10n-english could review the text for these three parts:
> 
> ------------------------------------------------------------------------
> NEWS.Debian entry
> 
> lilo (1:22.8-6) unstable; urgency=low
> 
>   lilo may fail to boot with a large kernel+initrd. Please read
>   README.Debian for ways to work around this problem.
> 
>  -- Paul Wise <pabs@debian.org>  Sat, 25 Oct 2008 21:24:04 +0800
> 
> ------------------------------------------------------------------------
> debconf question:
> 
> Template: lilo/add_large_memory
> Type: boolean
> Default: true
> _Description: Do you want to add the large-memory option?
>  By default lilo loads the initrd file into the first 15Mb of memory
>  to avoid a BIOS limitation with older systems (earlier than 2001).
>  .
>  Unfortunately with newer kernels the combination of kernel and initrd
>  may not fit into the first 15Mb of memory and so the system will not
>  boot properly. It seems that the boot issues appear when the
>  kernel+initrd combination is larger than 8MB.
>  .
>  If you have a newer BIOS without the 15Mb limitation, you can add the
>  large-memory option to /etc/lilo.conf to tell lilo to use more memory
>  for passing the initrd to the kernel. You will need to re-run lilo
>  to make this option take effect.
>  .
>  If you have an older BIOS you may need to reduce the size of the initrd
>  *before* rebooting, please see README.Debian for tips on how to do that.
> 
> ------------------------------------------------------------------------
> README.Debian entry:
> 
> --[ Large initrd files and lilo
> 
> By default lilo loads the initrd file into the first 15MB of memory
> to avoid a BIOS limitation with older systems (earlier than 2001).
> 
> Unfortunately with newer kernels the combination of kernel and initrd
> may not fit into the first 15MB of memory and so the system will not
> boot properly.
> 
> If you have a newer BIOS without the 15MB limitation, you can add the
> large-memory option to /etc/lilo.conf to tell lilo to use more memory
> for passing the initrd to the kernel. You will need to re-run lilo
> to make this option take effect.
> 
> If you have an older BIOS you will need to reduce the size of the initrd
> *before* rebooting.
> 
> If you are using initramfs-tools, you should replace MODULES=most with
> MODULES=dep in your configuration and regenerate your initrd file:
> 
> sed -i -e s/MODULES=most/MODULES=dep/ /etc/initramfs-tools/initramfs.conf
> update-initramfs -u
> 
> If you are using yaird or any other initrd generator, please consult
> the documentation for your initrd generator.
> 





Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Message #258 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 07:46:29 +0100
[Message part 1 (text/plain, inline)]
Quoting Paul Wise (pabs@debian.org):
> Hi all,
> 
> [Please reply to myself, the bug and the list]
> 
> As part of the bug sprint for cookies, I've been assigned to fix an RC
> bug in lilo (#479607 and clones). Since I don't know assembly, my
> proposed fix will be to add a debconf prompt asking if the person doing
> the upgrade wants to add the large-memory option to their configuration
> file. I will also add a NEWS.Debian file so that other sysadmins may
> receive information about the issue and a README.Debian entry with full
> info about the issue and extra tips for solving it. It would be great if
> debian-l10n-english could review the text for these three parts:


Will you leave time for a translation update round?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 07:39:05 GMT) Full text and rfc822 format available.

Message #263 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 479607@bugs.debian.org, debian-l10n-english <debian-l10n-english@lists.debian.org>
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 16:23:30 +0900
[Message part 1 (text/plain, inline)]
On Sun, 2008-10-26 at 07:46 +0100, Christian Perrier wrote:

> Will you leave time for a translation update round?

Well, the bug sprint lasts 5 days and I want cookies, so I'll add any
translations available in that time period. I'm happy to do a followup
NMU for translations, or the i18n folks might want to do one (there is a
bug about the grammar of one of the templates).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 07:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 07:39:06 GMT) Full text and rfc822 format available.

Message #268 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org, debian-l10n-english <debian-l10n-english@lists.debian.org>
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 08:33:47 +0100
[Message part 1 (text/plain, inline)]
Quoting Paul Wise (pabs@debian.org):
> On Sun, 2008-10-26 at 07:46 +0100, Christian Perrier wrote:
> 
> > Will you leave time for a translation update round?
> 
> Well, the bug sprint lasts 5 days and I want cookies, so I'll add any
> translations available in that time period. I'm happy to do a followup
> NMU for translations, or the i18n folks might want to do one (there is a
> bug about the grammar of one of the templates).

Sure, having a followup NMU for translations would be good.

In the meantime, I've added your new template and regenerated PO
files.

We coult at least do a call for translations for existing
translations. Of course, if the template changes because of the
review, then these translations would have to be reupdated again, but
I don't think that changes will be drastic (you're a native speaker so
your English is by definition correct).

About grammar problems: well, the lilo templates just suck in
general. They need a huge rewrite, which is definitely out of scope
now...so I propose we let them alone right now.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 07:45:02 GMT) Full text and rfc822 format available.

Message #273 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org
Subject: French translation update
Date: Sun, 26 Oct 2008 08:41:18 +0100
[Message part 1 (text/plain, inline)]
Here's a quick update of the French translation of templates, based on
the wording proposed by Paul in this bug.

-- 


[fr.po (application/x-gettext, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 12:03:02 GMT) Full text and rfc822 format available.

Message #278 received at 479607@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 10:51:59 +0000
Paul Wise wrote:
> Template: lilo/add_large_memory
[...]
>  If you have an older BIOS you may need to reduce the size of the initrd
>  *before* rebooting, please see README.Debian for tips on how to do that.
                     ^
Since you ask: this is a "comma splice".  A semicolon or period
would be better, though it's far from urgent.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 479607@bugs.debian.org, debian-l10n-english@lists.debian.org, pabs@debian.org:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 12:27:05 GMT) Full text and rfc822 format available.

Message #283 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 479607@bugs.debian.org, debian-l10n-english <debian-l10n-english@lists.debian.org>
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 21:23:30 +0900
[Message part 1 (text/plain, inline)]
On Sun, 2008-10-26 at 10:51 +0000, Justin B Rye wrote:
> Paul Wise wrote:
> > Template: lilo/add_large_memory
> [...]
> >  If you have an older BIOS you may need to reduce the size of the initrd
> >  *before* rebooting, please see README.Debian for tips on how to do that.
>                      ^
> Since you ask: this is a "comma splice".  A semicolon or period
> would be better, though it's far from urgent.

Replaced the comma with a semicolon.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 12:45:04 GMT) Full text and rfc822 format available.

Message #288 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 13:43:21 +0100
[Message part 1 (text/plain, inline)]
Quoting Paul Wise (pabs@debian.org):

> _Description: Do you want to add the large-memory option?
>  By default lilo loads the initrd file into the first 15Mb of memory
>  to avoid a BIOS limitation with older systems (earlier than 2001).


I'd personnally write "By default, LILO loads..."

The comma might be French influence, I'm unsure.

But, definitely, I'd write "lilo" in all caps here.

>  .
>  Unfortunately with newer kernels the combination of kernel and initrd

Here, as well, I'd put a comma after "Unfortunately". I'd also use
"However" instead of "unfortunately, because this is a more neutral wording.

>  may not fit into the first 15Mb of memory and so the system will not
>  boot properly. It seems that the boot issues appear when the
>  kernel+initrd combination is larger than 8MB.
>  .
>  If you have a newer BIOS without the 15Mb limitation, you can add the

I'd try to avoid "you have". In most case, the user does not own the
machine.

Maybe "If this machine has a recent BIOS without..."


>  large-memory option to /etc/lilo.conf to tell lilo to use more memory

s/tell/instruct

s/lilo/LILO


>  for passing the initrd to the kernel. You will need to re-run lilo
>  to make this option take effect.

Here, s/lilo/LILO is more debatable as one wants to run the "lilo"
command.

I'd propose "You will need to run the 'lilo' command..."

>  .
>  If you have an older BIOS you may need to reduce the size of the initrd
>  *before* rebooting, please see README.Debian for tips on how to do that.


If this machine has an old BIOS, .....


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 12:48:03 GMT) Full text and rfc822 format available.

Message #293 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 13:46:19 +0100
[Message part 1 (text/plain, inline)]
Thinking deeper, it woul dbe better if I send my rewritten version:

Template: lilo/add_large_memory
Type: boolean
Default: true
_Description: Do you want to add the large-memory option?
 By default, LILO loads the initrd file into the first 15Mb of memory
 to avoid a BIOS limitation with older systems (earlier than 2001).
 .
 However, with newer kernels the combination of kernel and initrd
 may not fit into the first 15Mb of memory and so the system will not
 boot properly. It seems that the boot issues appear when the
 kernel+initrd combination is larger than 8MB.
 .
 If this machine has a recent BIOS without the 15Mb limitation, you can add the
 'large-memory' option to /etc/lilo.conf to instruct LILO to use more memory
 for passing the initrd to the kernel. You will need to re-run the 'lilo'
 command to make this option take effect.
 .
 If this machine has an older BIOS, you may need to reduce the size of
 the initrd *before* rebooting. Please see the README.Debian file for
 tips on how to do that.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 13:12:02 GMT) Full text and rfc822 format available.

Message #298 received at 479607@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 13:10:14 +0000
Christian Perrier wrote:
> >  for passing the initrd to the kernel. You will need to re-run lilo
> >  to make this option take effect.
> 
> Here, s/lilo/LILO is more debatable as one wants to run the "lilo"
> command.
> 
> I'd propose "You will need to run the 'lilo' command..."

This is only part of your suggestions where I can see any trace of
French influence (it's that "the foo file/the file 'foo'" thing
again).  Stick with "re-run lilo", an expression that we can
probably assume is familiar to existing LILO users.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 26 Oct 2008 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 26 Oct 2008 13:15:03 GMT) Full text and rfc822 format available.

Message #303 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org, pabs@debian.org, debian-l10n-english@lists.debian.org
Subject: Re: please review new lilo debconf question
Date: Sun, 26 Oct 2008 14:12:54 +0100
[Message part 1 (text/plain, inline)]
Quoting Justin B Rye (jbr@edlug.org.uk):

> > I'd propose "You will need to run the 'lilo' command..."
> 
> This is only part of your suggestions where I can see any trace of
> French influence (it's that "the foo file/the file 'foo'" thing
> again).  Stick with "re-run lilo", an expression that we can
> probably assume is familiar to existing LILO users.

OK, then. However, I propose "...re-run 'lilo'..." to make it clearer
that we're talking about the command not the whole software...


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 27 Oct 2008 01:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 27 Oct 2008 01:36:02 GMT) Full text and rfc822 format available.

Message #308 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 479607@bugs.debian.org, debian-l10n-english <debian-l10n-english@lists.debian.org>
Subject: Re: please review new lilo debconf question
Date: Mon, 27 Oct 2008 10:33:03 +0900
[Message part 1 (text/plain, inline)]
On Sun, 2008-10-26 at 13:46 +0100, Christian Perrier wrote:

> Thinking deeper, it woul dbe better if I send my rewritten version:

Thanks a lot, will include this in my NMU.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 27 Oct 2008 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 27 Oct 2008 03:03:05 GMT) Full text and rfc822 format available.

Message #313 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-release <debian-release@lists.debian.org>
Cc: 479607 <479607@bugs.debian.org>
Subject: proposed fix for lilo RC bug
Date: Mon, 27 Oct 2008 11:56:14 +0900
[Message part 1 (text/plain, inline)]
Hi RMs,

I propose to fix #479607 with the attached patch. Since I'm not hugely
familiar with debconf and maintainer scripts, I'm hoping you won't mind
reviewing and ACKing the patch. debian-i18n folks will do a second NMU
after translations are ready and also fix the grammar issues reported in
#312451.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[lilo-22.8-6.1-nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 27 Oct 2008 03:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 27 Oct 2008 03:06:02 GMT) Full text and rfc822 format available.

Message #318 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-release <debian-release@lists.debian.org>
Cc: 479607 <479607@bugs.debian.org>
Subject: Re: proposed fix for lilo RC bug
Date: Mon, 27 Oct 2008 12:02:20 +0900
[Message part 1 (text/plain, inline)]
On Mon, 2008-10-27 at 11:56 +0900, Paul Wise wrote:

> I propose to fix #479607 with the attached patch. Since I'm not hugely
> familiar with debconf and maintainer scripts, I'm hoping you won't mind
> reviewing and ACKing the patch.

PS: the maintainer has ACKed the patch on IRC.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 27 Oct 2008 05:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 27 Oct 2008 05:33:02 GMT) Full text and rfc822 format available.

Message #323 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-release <debian-release@lists.debian.org>
Cc: 479607 <479607@bugs.debian.org>
Subject: Re: proposed fix for lilo RC bug
Date: Mon, 27 Oct 2008 14:30:50 +0900
[Message part 1 (text/plain, inline)]
On Mon, 2008-10-27 at 11:56 +0900, Paul Wise wrote:

> I propose to fix #479607 with the attached patch.

Ugh, the patch was buggy. Here is a new and tested one.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[lilo-22.8-6.1-nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Mon, 27 Oct 2008 07:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Mon, 27 Oct 2008 07:18:04 GMT) Full text and rfc822 format available.

Message #328 received at 479607@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 479607@bugs.debian.org
Subject: French translation update
Date: Mon, 27 Oct 2008 06:56:28 +0100
[Message part 1 (text/plain, inline)]
Here's the updated translation, consistent with the last version of
templates proposed by Paul Wise.


-- 


[fr.po (application/x-gettext, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sat, 01 Nov 2008 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sat, 01 Nov 2008 16:15:02 GMT) Full text and rfc822 format available.

Message #333 received at 479607@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 479607@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>
Subject: Re: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Sat, 01 Nov 2008 17:07:59 +0100
Hi Paul

Any reason why you didn't upload your NMU yet?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sat, 01 Nov 2008 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sat, 01 Nov 2008 16:39:02 GMT) Full text and rfc822 format available.

Message #338 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 479607@bugs.debian.org
Subject: Re: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Sun, 02 Nov 2008 01:38:10 +0900
[Message part 1 (text/plain, inline)]
On Sat, 2008-11-01 at 17:07 +0100, Luk Claes wrote:

> Any reason why you didn't upload your NMU yet?

As I wrote to debian-release, I'm not hugely familiar with debconf and
maintainer scripts, so I was hoping the release team wouldn't mind
reviewing and ACKing the patch.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sat, 01 Nov 2008 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sat, 01 Nov 2008 17:18:03 GMT) Full text and rfc822 format available.

Message #343 received at 479607@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 479607@bugs.debian.org
Subject: Re: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Sat, 01 Nov 2008 18:13:56 +0100
Paul Wise wrote:
> On Sat, 2008-11-01 at 17:07 +0100, Luk Claes wrote:
> 
>> Any reason why you didn't upload your NMU yet?
> 
> As I wrote to debian-release, I'm not hugely familiar with debconf and
> maintainer scripts, so I was hoping the release team wouldn't mind
> reviewing and ACKing the patch.

Christian is the expert and already reviewed it and you tested it
AFAICS. The patch looks also not invasive and would be very welcome from
a user point of view.

Please upload.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@dereferenced.org>:
Bug#479607; Package lilo. (Sun, 02 Nov 2008 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@dereferenced.org>. (Sun, 02 Nov 2008 09:06:03 GMT) Full text and rfc822 format available.

Message #348 received at 479607@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 479607@bugs.debian.org
Subject: Re: lilo fails to boot 2.6.25 kernel image due to wrongly passing initramfs
Date: Sun, 02 Nov 2008 18:03:45 +0900
[Message part 1 (text/plain, inline)]
On Sat, 2008-11-01 at 18:13 +0100, Luk Claes wrote:

> Christian is the expert and already reviewed it and you tested it
> AFAICS. The patch looks also not invasive and would be very welcome from
> a user point of view.
> 
> Please upload.

Done.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sun, 02 Nov 2008 09:39:16 GMT) Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. (Sun, 02 Nov 2008 09:39:16 GMT) Full text and rfc822 format available.

Message #353 received at 479607-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 479607-close@bugs.debian.org
Subject: Bug#479607: fixed in lilo 1:22.8-6.1
Date: Sun, 02 Nov 2008 09:17:04 +0000
Source: lilo
Source-Version: 1:22.8-6.1

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_22.8-6.1_all.deb
  to pool/main/l/lilo/lilo-doc_22.8-6.1_all.deb
lilo_22.8-6.1.diff.gz
  to pool/main/l/lilo/lilo_22.8-6.1.diff.gz
lilo_22.8-6.1.dsc
  to pool/main/l/lilo/lilo_22.8-6.1.dsc
lilo_22.8-6.1_amd64.deb
  to pool/main/l/lilo/lilo_22.8-6.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479607@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Oct 2008 21:25:18 +0800
Source: lilo
Binary: lilo lilo-doc
Architecture: source amd64 all
Version: 1:22.8-6.1
Distribution: unstable
Urgency: low
Maintainer: William Pitcock <nenolod@dereferenced.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 lilo       - LInux LOader - The Classic OS loader can load Linux and others
 lilo-doc   - Documentation for LILO (LInux LOader)
Closes: 479607
Changes: 
 lilo (1:22.8-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add some information about large initrd boot problems:
     - Document the issue and workarounds in README.Debian
     - Alert users to the issue in NEWS.Debian
     - Prompt users to add large-memory to /etc/lilo.conf
     - Thanks to debian-l10n-english for the review!
     (Closes: #479607)
   * Include French debconf translation update by Christian Perrier
Checksums-Sha1: 
 ec3f84b369ad3872d390e0e839889fba5306a60d 1243 lilo_22.8-6.1.dsc
 53ba1e04fc5e8ac335ee9c9800dde606ad9531e0 224559 lilo_22.8-6.1.diff.gz
 47d0a9db6387ec8b1ac72fedad7dedd4be586300 383382 lilo_22.8-6.1_amd64.deb
 701f6fd9ad49abca8e41f6af2387ade9bbd8bc7c 345764 lilo-doc_22.8-6.1_all.deb
Checksums-Sha256: 
 1bacfba091b73b0542b5fd7cb1cc388a2fff6c1fde9676d256f7bc0e548a733f 1243 lilo_22.8-6.1.dsc
 3229ffdd1933b284199c90f814e815fe4ab6ac1288f5d6a40c54d74c3f77a0b7 224559 lilo_22.8-6.1.diff.gz
 9229248e85db6cdd183cebfc69d03a49b3ec1969d9216aa30432ea5585c45438 383382 lilo_22.8-6.1_amd64.deb
 7d359658c1faaf759e2c5fd3abf0de7a68010a46d4661ee3405257ee5873b493 345764 lilo-doc_22.8-6.1_all.deb
Files: 
 4d94c067b82d96e99009ff9d8e635d2b 1243 admin optional lilo_22.8-6.1.dsc
 c2934e43b0fbdc60f2937bbf894245ca 224559 admin optional lilo_22.8-6.1.diff.gz
 096c14f2beb5408355eea9db50f0ee03 383382 admin optional lilo_22.8-6.1_amd64.deb
 91133735c67604e9c64a97ba69c1c987 345764 doc optional lilo-doc_22.8-6.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkNbLcACgkQ5Sc9mGvjxCMBbQCffnx3tVzSdoiUiy+hPfCRT6K7
ZScAoICt9KbAu8M6NT6N2OT5NzLj5PVi
=ULjv
-----END PGP SIGNATURE-----





Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sun, 02 Nov 2008 09:39:17 GMT) Full text and rfc822 format available.

Notification sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Bug acknowledged by developer. (Sun, 02 Nov 2008 09:39:17 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Sun, 02 Nov 2008 09:39:18 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sun, 02 Nov 2008 09:39:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Dec 2008 07:26:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:12:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.